swagger: "2.0"

info:
  version: 10.1.2
  title: Enviar Whatsapp (Meta)
  description: "Envia um Whatsapp utilizando os serviços da Meta."
  contact:
    name: Senior X Platform
    url: https://dev.senior.com.br
    email: seniorx-dev@senior.com.br

tags:
  - name: "BPM - Serviço de Integração"
  - name: "GED - Notificações"

paths:
  /send-whatsapp-meta:
    post:
      description: "Notifica via Whatsapp."
      deprecated: false

consumes:
  - async

definitions:
  bodyData:
    type: object
    required:
      - destination
      - content
      - token
      - sender
    properties:
      destination:
        type: string
        description: "Número de telefone"
      content:
        type: string
        description: "Conteúdo da notificação"
      token:
        type: string
        description: "Token de autorização"
      sender:
        type: string
        description: "Remetente da notificação"
